%% Analyzing Data with MATLAB

% Create table from Excel File
d1=readtable('Health.xlsx');

% Preprocess for missing data by filling value
d1_fill=fillmissing(d1,'nearest'); 

% Extract data from table
W=d1_fill.Waist;
A=d1_fill.ArmCirc;

% scatter plot for 2 variables
scatter(A,W,5,'g') % assign maker size to be 5 & color to be green

% correlation coefficient caculation
CR=corr(A,W);

% fit linear model for 2 variables
p=polyfit(A,W,1);

% Polynomial evaluation
Y=polyval(p,A);

% overplot a line on a scatter plot
hold on
plot(A,Y,'Color','r','LineWidth',2)


%% 如何P掉相片中的貓咪
% Restore specific image regions using exemplar-based image inpainting
D_C=imread('D_C.jpg');
imshow(D_C)
D=drawfreehand;
mask=createMask(D);
G=inpaintExemplar(D_C,mask);
imshow(G)